.c-locked {
    width: 100%;
    height: 100%;

    overflow: hidden;
}

.c-container {
    height: 100%;

    position: relative;

    overflow: hidden;
}

.c-fixed-bg__wrapper {
    width: 100%;
    height: 100%;

    position: fixed;

    top: 0;
    left: 0;

    z-index: 2;
}

.c-fixed-bg {
    width: 100%;
    height: 100%;

    background-color: rgba(0, 0, 0, 0.5);
    /* background-image: url("../assets/media/components/noise.png"); */
    background-position: top left;
    background-repeat: repeat;
    background-size: contain;

    position: absolute;

    top: 0;
    left: 0;

    z-index: 2;
}

.c-fixed-blobs__wrapper {
    width: 100%;
    height: 100%;

    display: flex;
    align-items: center;
    justify-content: center;

    position: relative;

    top: 0;
    left: 0;

    z-index: 1;
}

.c-fixed-bg__blob {
    width: 60%;

    position: absolute;
}

.c-fixed-bg__blob--01 {
    margin-top: -10%;
    margin-right: 15%;
}

.c-fixed-bg__blob--02 {
    margin-top: 10%;
    margin-left: 15%;
}

.c-bordered {
	border: 1px solid rgba(255, 255, 255, 0.2);
	border-radius: var(--radius-m);
}

.c-bordered--shiny {
	position: relative;
}

.c-bordered--shiny::before {
	content: "";

	width: 100%;
	height: 100%;

	border-top: 1px solid rgba(255, 255, 255, 0.6);
	border-left: 1px solid rgba(255, 255, 255, 0.6);
	border-radius: var(--radius-m);

	position: absolute;

	top: -1px;
	left: -1px;
}

.c-glass-bg {
	border: 1px solid rgba(255, 255, 255, 0.2);
	border-radius: var(--radius-m);

	backdrop-filter: blur(5px);
	-webkit-backdrop-filter: blur(5px);
}

.c-glass-bg--light {
    background-color: rgba(255, 255, 255, 0.2);
}

.c-glass-bg--dark {
    background-color: rgba(0, 0, 0, 0.2);
}

.c-header {
    width: 100%;

    display: flex;
    flex-direction: column;
    gap: var(--space-m);
}

.c-heading-tag {
    padding-left: calc(8px + var(--space-s));

    position: relative;
}

.c-heading-tag::before {
    content: "";

    width: 8px;
    height: 8px;

    border-radius: 50%;

    transform: translateY(-50%);
    -webkit-transform: translateY(-50%);

    position: absolute;

    top: 50%;
    left: 0;
}

.c-heading-tag--01 {
    color: var(--color-02);
}

.c-heading-tag--01::before {
    background-color: var(--color-02);

    animation: pulse--01 var(--transition-04) infinite;
    -webkit-animation: pulse--01 var(--transition-04) infinite;
}

.c-heading-tag--02 {
    color: var(--color-03);
}

.c-heading-tag--02::before {
    background-color: var(--color-03);
    
    animation: pulse--02 var(--transition-04) infinite;
    -webkit-animation: pulse--02 var(--transition-04) infinite;
}

.c-heading__wrapper {
    width: 100%;

    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: var(--space-m);
}

.c-heading {
    color: rgba(255, 255, 255, 0.8);

    /* font-family: Helvetica, NotoSans, Arial, sans-serif; */
    font-size: var(--font-size-xxxl);

    line-height: 1.2;

    text-transform: uppercase;
}

.c-heading--tablet {
    display: none;
}

.c-heading--mobile {
    display: none;
}

.c-header__info-wrapper {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: var(--space-m);
}

.c-header__info {
    flex: 1;
}

.c-subheading {
    color: rgba(255, 255, 255, 0.8);
    
    font-size: var(--font-size-l);
    font-weight: 300;
    
    text-transform: uppercase;
}

.c-clamp-text--01 {
    text-overflow: ellipsis;
    
    white-space: nowrap;
    
    overflow: hidden;
}

.c-clamp-text--02 {
    -webkit-box-orient: vertical;

    text-overflow: ellipsis;
    
    line-clamp: 2;
    -webkit-line-clamp: 2;
    
    display: -webkit-box;

    overflow: hidden;
}

.c-link {
    transition: var(--transition-02);
    -webkit-transition: var(--transition-02);
}

.c-link:hover {
    color: var(--color-03);
}

.c-icon__wrapper {
    width: 40px;
    height: 40px;

	border: 1px solid rgba(255, 255, 255, 0.2);
	border-radius: var(--radius-m);

	backdrop-filter: blur(5px);
	-webkit-backdrop-filter: blur(5px);

	color: #FFF;

	background: rgba(255, 255, 255, 0.14);

    line-height: 1;

    display: flex;
    align-items: center;
    justify-content: center;

	position: relative;
}

.c-icon__wrapper::before {
	content: "";

	width: 100%;
	height: 100%;

	border-top: 1px solid rgba(255, 255, 255, 0.6);
	border-left: 1px solid rgba(255, 255, 255, 0.6);
	border-radius: var(--radius-m);

	position: absolute;

	top: -1px;
	left: -1px;
}

.c-icon__wrapper--hoverable {
	cursor: pointer;

	transition: 0.4s;
	-webkit-transition: 0.4s;
}

.c-icon__wrapper--hoverable:hover {
	box-shadow: 0 4px 30px rgba(255, 255, 255, 0.2);

	backdrop-filter: blur(15px);
	-webkit-backdrop-filter: blur(15px);
}

.c-icon {
    height: 16px;
}

.c-btn {
    height: 40px;

	border: 1px solid rgba(255, 255, 255, 0.2);
	border-radius: var(--radius-m);

	backdrop-filter: blur(5px);
	-webkit-backdrop-filter: blur(5px);

	color: #FFF;

	background: rgba(255, 255, 255, 0.14);

    line-height: 1;

    display: flex;
    align-items: center;

	padding: var(--space-s) var(--space-m);

	position: relative;
	
	cursor: pointer;

	transition: 0.4s;
	-webkit-transition: 0.4s;
}

.c-btn:hover {
	box-shadow: 0 4px 30px rgba(255, 255, 255, 0.2);

	backdrop-filter: blur(15px);
	-webkit-backdrop-filter: blur(15px);
}

.c-btn::before {
	content: "";

	width: 100%;
	height: 100%;

	border-top: 1px solid rgba(255, 255, 255, 0.6);
	border-left: 1px solid rgba(255, 255, 255, 0.6);
	border-radius: var(--radius-m);

	position: absolute;

	top: -1px;
	left: -1px;
}

.c-field {
    height: 40px;

	border: 1px solid rgba(255, 255, 255, 0.2);
    border-radius: var(--radius-m);

    outline: none;

    background: none;

    line-height: 1;

	padding: var(--space-s) var(--space-m);

	transition: 0.4s;
	-webkit-transition: 0.4s;
}

.c-field:focus {
    border-color: var(--color-03);
}
/* 
.c-media-placeholder {
    background: linear-gradient(
        100deg,
        #ececec 25%,
        #ffffff 50%,
        #ececec 75%
    );
    background-size: 200% 100%;

    animation: shimmer 1.4s infinite;
}

.c-media-placeholder--hidden {
    background: none;
} */

.c-lazy-media {
    opacity: 0;

    transition: var(--transition-01);
    -webkit-transition: var(--transition-01);
}

.c-lazy-media--loaded {
    opacity: 1;
}

@media (max-width: 1280px) {
    .c-heading {
        font-size: var(--font-size-xl);
    }
}

@media (max-width: 1024px) {
    .c-heading__wrapper--desktop {
        display: none;
    }

    .c-heading--tablet {
        display: block;
    }

    .c-header__info-wrapper {
        grid-template-columns: repeat(1, 1fr)
    }
}

@media (max-width: 768px) {
    .c-fixed-bg__blob {
        width: 100%;
    }
}

@media (max-width: 480px) {
    .c-fixed-bg__blob {
        width: 100%;
    }

    .c-fixed-bg__blob--01 {
        margin-top: -20%;
        margin-right: 20%;
    }

    .c-fixed-bg__blob--02 {
        margin-top: 20%;
        margin-left: 20%;
    }

    .c-heading--mobile {
        display: block;
    }
}